using MyCompany.Intranet.Core.Services;
using MyCompany.Intranet.Core.Entites;
using MyCompany.Intranet.Core.Enums;

namespace MyCompany.Intranet.Tests;

public class BmiServiceShould
{

    [Fact]
    public void ProcessBmi_WhenIndexLessThan18_5_ReturnsTypeLow()
    {
        // arrange 
        var expectedType = BmiType.Low;
        var person = new Person { Height = 1.70f , Weight = 50f};
        var sut = new BmiService();
        
        // act 
        var result = sut.ProcessBmi(person);
        
        //assert 
        Assert.Equal(expectedType,result.BmiType);
    }

    [Fact]
    public void ProcessBmi_WhenIndexGreaterThan18_5AndLessThan24_5_ReturnsTypeNormal()
    {
        // arrange 
        var expectedType = BmiType.Normal;
        var person = new Person { Height = 1.70f , Weight = 70};
        var sut = new BmiService();
        
        // act 
        var result = sut.ProcessBmi(person);
        
        // assert 
        Assert.Equal(expectedType,result.BmiType);

    }
    
}